Details

    • Task
    • Status: Closed (View Workflow)
    • Major
    • Resolution: Done
    • None
    • None
    • System
    • None
    • Not Started
    • Not Started
    • Not Started
    • Not Started
    • Not Started
    • Not Started
    • Engineering
    • 0
    • 3scale 2020-01-13, 3scale 2020-01-27, 3scale 2020-02-03, 3scale 2020-02-17

    Description

      As default nodejs installed in UBI 7 container images is NodeJS 10, we should upgrade to this version to use default packages from UBI.

      Right now we use NodeJS 8, which is kinda inconvenient for productization

      Dev notes

      What should be done in system side:

      • Update circleci build
      • Update Dockerfile
      • Try it in openshift
      • Update SaaS (that task is for operations)

      Description from duplicate issue

      Current version of node in production is 8.

      Some npm dependencies requires node v10.x and sometimes its installation fails, forcing us to lock dependencies to previous versions.

      We should update node v10.x as minimum

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              hramihaj Hery Ramihajamalala (Inactive)
              Jose Miguel Gallas Olmedo Jose Miguel Gallas Olmedo
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: